package com.tmerclub.cloud.systemtest.api.platform;

import com.tmerclub.cloud.platform.dto.ScoreConfigDTO;
import com.tmerclub.cloud.platform.vo.ScoreConfigVO;
import com.moyuer.cloud.systemtest.constants.Constant;
import com.moyuer.cloud.systemtest.util.HttpUtil;
import com.moyuer.cloud.systemtest.util.UrlEnum;

/**
 * @author lpj
 */
public class ScoreConfigApi {
    /**
     * 获取积分配置详情
     */
    public static ScoreConfigVO info() {
        String url = Constant.API_URL + "/tmerclub_admin/p/score_config/info/SCORE_CONFIG";
        return HttpUtil.get(url, ScoreConfigVO.class, UrlEnum.PLATFORM);
    }

    /**
     * 更新积分配置
     */
    public static void update(ScoreConfigDTO scoreConfigDTO) {
        String url = Constant.API_URL + "/tmerclub_admin/p/score_config";
        HttpUtil.post(url, scoreConfigDTO, UrlEnum.PLATFORM);
    }
}
