package com.tmerclub.cloud.multishop.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author TRACK
 */
@Data
public class ShopRechargeVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "扫码支付信息")
    private String payInfo;

    @Schema(description = "钱包id")
    private Long walletLogId;

    public ShopRechargeVO() {
    }

    public ShopRechargeVO(String payInfo, Long walletLogId) {
        this.payInfo = payInfo;
        this.walletLogId = walletLogId;
    }


}
