
package com.tmerclub.cloud.platform.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 下线处理事件记录项
 *
 * @author YXF
 * @date 2021-01-15 17:46:26
 */
@Data
public class OfflineHandleEventItem extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     *
     */
    private Long eventItemId;

    /**
     * 事件id
     */
    private Long eventId;

    /**
     * 重新申请上线理由
     */
    private String reapplyReason;

    /**
     * 拒绝原因
     */
    private String refuseReason;

    /**
     * 重新申请上线时间
     */
    private Date reapplyTime;

    /**
     * 审核时间
     */
    private Date auditTime;

}
