package com.tmerclub.cloud.supplier.vo.mongo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serial;
import java.io.Serializable;

/**
 * mongo返回的字段
 * @author 菠萝凤梨
 */
@Document("supplier_wallet_log")
@Data
public class MongoSupplierWalletLogVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "供应商id")
    private Long supplierId;

    @Schema(description = "供应商日志数")
    private Long supplierLogCount;

}
