
package com.tmerclub.cloud.api.rbac.bo;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
/**
 * uri权限bo
 *
 * @author tmerclub
 * @date 2020/9/3
 */
@Data
public class UriPermissionBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 请求方法 1.GET 2.POST 3.PUT 4.DELETE
     */
    private Integer method;

    /**
     * uri
     */
    private String uri;

    /**
     * permission
     */
    private String permission;

    /**
     * 用户拥有该权限
     */
    private Boolean hasPermission;

}
