
package com.tmerclub.cloud.api.delivery.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author Pineapple
 * @date 2021/7/20 9:14
 */
@Data
public class DeliveryCompanyExcelVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "ID")
    private Long deliveryCompanyId;

    @Schema(description = "物流公司名称")
    private String name;


    @Override
    public String toString() {
        return "DeliveryCompanyExcelVO{" +
                "deliveryCompanyId=" + deliveryCompanyId +
                ", name='" + name + '\'' +
                '}';
    }
}
