
package com.tmerclub.cloud.api.order.vo;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 用户购物数据
 * @author cl
 * @date 2021-08-16 13:10:02
 */
@Data
public class UserShoppingDataVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 用户消费笔数
     */
    private Long expenseNumber;

    /**
     * 用户消费金额, (分)
     */
    private Long sumOfConsumption;


    @Override
    public String toString() {
        return "UserShoppingDataVO{" +
                "expenseNumber=" + expenseNumber +
                ", sumOfConsumption=" + sumOfConsumption +
                '}';
    }
}
