
package com.tmerclub.cloud.api.product.feign;


import com.tmerclub.cloud.common.product.vo.BrandVO;
import com.tmerclub.cloud.common.response.ServerResponseEntity;

/**
 * @author YXF
 * @date 2021/05/10
 */
public interface BrandFeignClient {

    /**
     * 获取品牌信息
     * @param brandId
     * @return
     */
    ServerResponseEntity<BrandVO> getInfo(Long brandId);

    /**
     * 根据店铺id把自定义品牌更新为平台品牌
     * @param shopId
     * @param sysType
     */
    void updateCustomBrandToPlatformBrandByShopId(Long shopId, Integer sysType);
}
