
package com.tmerclub.cloud.biz.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * DTO
 *
 * @author YXF
 * @date 2020-12-04 16:15:02
 */
@Data
@ToString
public class AttachFileGroupDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long attachFileGroupId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "分组名称")
    private String name;

    @Schema(description = "1:图片 2:视频 3:文件")
    private Integer type;


}
