
package com.tmerclub.cloud.common.cache.constant;

/**
 * @author tmerclub
 * @date 2020/11/23
 */
public interface CouponCacheNames {

    /**
     * 前缀
     */
    String COUPON_PREFIX = "tmerclub_coupon:";

    /**
     * 店铺优惠券列表缓存key
     */
    String COUPON_LIST_BY_SHOP_KEY = COUPON_PREFIX + "coupon_list_by_shop:";

    /**
     *优惠券及关联商品列表缓存key
     */
    String COUPON_AND_SPU_DATA = COUPON_PREFIX + "coupon_by_coupon_id:";

    /**
     * 优惠券库存信息
     */
    String COUPON_STOCK = COUPON_PREFIX + "coupon_stock:";

    /**
     * 优惠券可用分片数量
     */
    String COUPON_STOCK_AVAILABLE_ZONE = COUPON_PREFIX + "coupon_stock_available_zone:";
}
