package com.tmerclub.cloud.api.multishop.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 通联余额充值
 * @author TRACK
 */
@Data
public class AllinpayRechargeVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "支付金额")
    private Long payAmount;

    @Schema(description = "支付系统类型")
    private Integer paySysType;

    public AllinpayRechargeVO() {
    }

    public AllinpayRechargeVO(Long payAmount, Integer paySysType) {
        this.payAmount = payAmount;
        this.paySysType = paySysType;
    }

}
