
package com.tmerclub.cloud.api.coupon.dto;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
/**
 * @author tmerclub
 * @date 2020/12/23
 */
@Data
public class LockCouponDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 订单id
     */
    private String orderIds;

    /**
     * 优惠券id
     */
    private Long couponId;

    /**
     * 用户优惠券id
     */
    private Long couponUserId;

    /**
     * 优惠金额
     */
    private Long reduceAmount;

}
