
package com.tmerclub.cloud.api.distribution.bo;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
/**
 * 修改用户分销员的昵称或者头像
 * @author cl
 * @date 2021-08-14 15:59:51
 */
@Data
public class DistributionUserUpdateBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * ID
     */
    private Long userId;

    /**
     * 用户昵称
     */
    private String nickName;

    /**
     * 手机号
     */
    private String userMobile;

    /**
     * 头像图片路径
     */
    private String pic;


}
