
package com.tmerclub.cloud.api.product.bo;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
/**
 * 订单项平台佣金需要的参数
 * @author tmerclub
 * @date 2021/5/24
 */
@Data
public class PlatformCommissionItemBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long shopId;

    private Double rate;

    /**
     * 类型 1.商家 3.供应商
     */
    private Integer sysType;


    @Override
    public String toString() {
        return "PlatformCommissionOrderItemBO{" +
                "shopId=" + shopId +
                ", rate=" + rate +
                ", spuType=" + sysType +
                '}';
    }
}

