
package com.tmerclub.cloud.api.user.vo;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author lhd
 */
@Data
@ToString
public class MemberCountVO extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 累积会员数
     */
    private Integer totalMember;

    /**
     * 新增会员数
     */
    private Integer newMember;

    /**
     * 付费会员数
     */
    private Integer paidMember;

    /**
     * 新增付费会员数
     * 从普通会员升到付费会员
     */
    private Integer newPaidMember;


}
