
package com.tmerclub.cloud.api.user.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @author
 */
@Data
@ToString
public class MemberDealRespVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "全部成交会员")
    private MemberDealVO allMember;

    @Schema(description = "新成交会员")
    private MemberDealVO newMember;

    @Schema(description = "老成交会员")
    private MemberDealVO oldMember;

    @Schema(description = "图标参数")
    private List<MemberDealTreadVO> trendParam;


}
