
package com.tmerclub.cloud.api.user.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author
 */
@Data
@ToString
public class MemberDealVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "成交会员数")
    private Integer payMemberNum;

    @Schema(description = "成交会员数占比")
    private Double payMemberNumRate;

    @Schema(description = "支付订单数")
    private Integer payOrderNum;

    @Schema(description = "客单价")
    private Double pricePerMember;

    @Schema(description = "支付金额")
    private Double payAmount;

    @Schema(description = "支付金额占比")
    private Double payAmountRate;


}
