
package com.tmerclub.cloud.api.user.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author lhd
 */
@Data
@ToString
public class MemberTrendRespVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "时间，格式例如：2020-07-21")
    private String currentDay;

    @Schema(description = "注册会员数量")
    private Integer memberNum;

    @Schema(description = "注册付费会员数量" )
    private Integer vipMemberNum;

    @Schema(description = "新增会员数" )
    private Integer newMember;


}
