
package com.tmerclub.cloud.biz.vo;

import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @author tmerclub
 * @date 2020/9/12
 */
@Data
@ToString
public class OssVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private String accessid;

    private String policy;

    private String signature;

    private String dir;

    private String host;

    private Integer expire;

    private String fileName;

    /**
     * 返回的url，minio
     */
    private String actionUrl;

    /**
     * url列表--minio中一条链接对应一个上传的文件
     * @return
     */
    private List<OssVO> ossList;


}
