package com.tmerclub.cloud.common.local.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 球杆类型视图
 *
 * @author: frank
 * @create: 2025-04-13
 **/
@Data
public class CueTypeSearchVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    @Schema(description = "类型名称")
    private String typeName;

    @Schema(description = "类型图片")
    private String typeImage;
}