
package com.tmerclub.cloud.order.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;


/**
 * 订单项-国际化
 *
 * @author lhd
 * @date 2022-06-27 17:49:07
 */
public class PurchaseOrderItemLang extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 订单项ID
     */
    private Long purchaseItemId;

    /**
     * 语言 1.中文 2.英文
     */
    private Integer lang;

    /**
     * 商品名称
     */
    private String spuName;

    /**
     * sku名称
     */
    private String skuName;

    public Long getPurchaseItemId() {
        return purchaseItemId;
    }

    public void setPurchaseItemId(Long purchaseItemId) {
        this.purchaseItemId = purchaseItemId;
    }

    public Integer getLang() {
        return lang;
    }

    public void setLang(Integer lang) {
        this.lang = lang;
    }

    public String getSpuName() {
        return spuName;
    }

    public void setSpuName(String spuName) {
        this.spuName = spuName;
    }

    public String getSkuName() {
        return skuName;
    }

    public void setSkuName(String skuName) {
        this.skuName = skuName;
    }

    @Override
    public String toString() {
        return "PurchaseOrderItemLang{" +
                "purchaseItemId=" + purchaseItemId +
                ",lang=" + lang +
                ",spuName=" + spuName +
                ",skuName=" + skuName +
                '}';
    }
}
